Bug 218449 - sysutils/boxbackup-devel: periodic script needs anticongestion sleep
Summary: sysutils/boxbackup-devel: periodic script needs anticongestion sleep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-07 03:03 UTC by Alan Somers
Modified: 2018-05-28 20:43 UTC (History)
2 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-04-07 03:03:41 UTC
Periodic scripts that hit external servers can cause a "thundering herd" problem, whereby many systems' periodic scripts run at the same time, and overload the server.  To prevent this, such scripts should sleep for a random amount of time before hitting the external server.

After r316432, there is a common anticongestion function to handle this.  For an example of how to use it, see
https://bugs.freebsd.org/bugzilla/attachment.cgi?id=181374&action=diff
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-10 00:17:27 UTC
Maintainer feedback?
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-10 08:09:53 UTC
svn-diff in bug # 218447.
Comment 3 Chris Hutchinson 2018-01-10 22:14:32 UTC
(In reply to w.schwarzenfeld from comment #1)
> Maintainer feedback?

Ak! I somehow missed this one. :-(

In case anyone wants to know. I'm now looking at this.

Thanks Alan, Walter!

--Chris
Comment 4 commit-hook freebsd_committer 2018-05-21 16:02:55 UTC
A commit references this bug:

Author: asomers
Date: Mon May 21 16:02:28 UTC 2018
New revision: 470559
URL: https://svnweb.freebsd.org/changeset/ports/470559

Log:
  sysutils/boxbackup*: use anticongestion sleep in the periodic job

  Use an anticongestion sleep in the periodic job to prevent the thundering
  herd problem when many systems' cron jobs fire off at once.

  PR:		218448
  PR:		218449
  Approved by:	portmaster@bsdforge.com (maintainer)

Changes:
  head/sysutils/boxbackup/Makefile
  head/sysutils/boxbackup/files/999.boxbackup.in
  head/sysutils/boxbackup-devel/Makefile
  head/sysutils/boxbackup-devel/files/999.boxbackup.in